Bug 1276136 - [RFE] add an API call that return the Satellite product version
[RFE] add an API call that return the Satellite product version
Status: CLOSED DUPLICATE of bug 1192612
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.1.3
x86_64 Linux
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: FutureFeature
Depends On:
Blocks: 260381
  Show dependency treegraph
 
Reported: 2015-10-28 16:11 EDT by Reartes Guillermo
Modified: 2015-11-05 13:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-05 13:07:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reartes Guillermo 2015-10-28 16:11:26 EDT
Description of problem:

Please add an API to get the Satellite product version. (6.0.1, 6.1.1, etc).
I tried to get the product version via API but i did not found howto.

Version-Release number of selected component (if applicable):
6.1.3

How reproducible:
always

Steps to Reproduce:
1. currently:
$ curl -s -H "Accept:application/json" -k -u foo:foo https://10.216.0.5/katello/api/status
{"version":"2.2.0.73","timeUTC":"2015-10-28T20:10:42Z"}

Actual results:
On gets the katello version but not the satellite product version

Expected results:
Get 6.1.3 

Additional info:
If i am writing a script that access the Satellite via API, i would want to check the product version, maybe to call different APIs or implement a workaround.

I do believe that the cli (hammer) also lacks a way to get the Satellite product version.
Comment 2 Bryan Kearney 2015-11-05 13:07:31 EST

*** This bug has been marked as a duplicate of bug 1192612 ***

Note You need to log in before you can comment on or make changes to this bug.